PCMSCAN

PCMSCAN Help

Version 1.0

© Palmer Performance Engineering, LLC

Contents

  • OBD-II Overview
  • Getting Started
    • Welcome to PCMSCAN
    • Views
    • Menubar
    • Toolbar
    • Connecting to the Vehicle
    • Monitoring and Logging Data
  • Dashboards
    • Gauges
    • Graphs
    • Tables
    • Maps
  • Contact Us


Contents Previous Next Up

OBD-II Overview

What is OBD-II?
How do I know whether my car is OBD-II compliant?
Which OBD-II protocol is supported by my vehicle?


What is OBD-II?
OBD-II stands for On-Board Diagnostics, II generation. It is a set of documents issued by SAE and ISO, which describe the interchange of digital information between on-board emission-related Electronic Control Units (ECUs) of road vehicles and an OBD-II scan tool. OBD-II also commonly refers to the physical on-board diagnostic system of a vehicle, which consists of an ECU (or multiple ECUs), Malfunction Indicator Light (MIL), Diagnostic Link Connector (DLC), and the wiring that connect the different elements.

Also see EPA's OBD: Frequently Asked Questions.

Copyright © 2002-2005 ScanTool.net, LLC. Reprinted with permission.


OBD-II Compliance

How do I know whether my car is OBD-II compliant?
There are several ways.

1996 or newer model year vehicle sold in the United States

United States legislation requires all cars and light trucks model year (MY) 1996 and newer to be OBD-II compliant. More information is available on the EPA's website.

2001 or newer model year gasoline vehicle sold in the European Union

Commission Directive 70/220/EEC, Annex I:
8.1. Vehicles with positive-ignition engines
With effect from 1 January 2000 for new types and from 1 January 2001 for all types, vehicles of category M1, except vehicles the maximum mass of which exceeds 2500 kg, and vehicles of category N1 class I, must be fitted with an on-board diagnostic (OBD) system for emission control in accordance with Annex XI. [...]
Note that here "European Union" means countries which were members of the EU in 2000.

2004 or newer model year diesel vehicle sold in the European Union

Commission Directive 70/220/EEC, Annex I:
8.2. Vehicles with compression-ignition engines
Vehicles of category M1, except
- vehicles designed to carry more than six occupants including the driver,
- vehicles whose maximum mass exceeds 2500 kg,
from 1 January 2003 for new types and from 1 January 2004 for all types, must be fitted with an on-board diagnostic (OBD) system for emission control in accordance with Annex XI.
Note that here "European Union" means countries which were members of the EU in 2003.

Other vehicles

If your vehicle does not fall into any of the above categories, look under the hood and try to locate a label (Fig. 1) that explicitly states that the vehicle was designed to comply with OBD-II legislation.
Fig. 1 - Vehicle Emission Control Information Label
In this case, OBD-II is used as a general term and can mean any of the following:
  • OBD II (California ARB)
  • EOBD (European OBD)
  • JOBD (Japanese OBD)
You may also consult your vehicle's owner's manual and perhaps contact your local dealer. However, be aware of the fact that many dealers do not know the difference between OBD and OBD-II.
If the vehicle is not OBD-II compliant, you cannot use a generic OBD-II scan tool such as ElmScan to obtain diagnostic information from your vehicle.

But my car has the 16-pin OBD connector, shouldn't it be OBD-II compliant?

No, not necessarily. A lot of European and Asian manufacturers equipped their vehicles with D-shaped 16-pin connectors long before they began installing OBD-II systems on those vehicles. One curious thing to note here is the fact that most non-EOBD compliant vehicles had a DLC that does not fully conform to SAE J1979. Compare figures 2 and 3, and notice the "ears" on the non-EOBD compliant Ford Focus.
Fig. 2 - Ford Escort DLC (courtesy of DigitalFriction, UK) | Fig. 3 - J1962 Vehicle Connector, Type A (courtesy of SAE)

Copyright © 2002-2005 ScanTool.net, LLC. Reprinted with permission.


Supported OBD-II Protocols

Which OBD-II protocol is supported by my vehicle?

All cars and light trucks built for sale in the United States after 1996 are required to be OBD-II compliant.

An OBD-II compliant vehicle can use any of the five communication protocols: J1850 PWM and VPW, ISO9141, ISO14230 (also known as Keyword Protocol 2000), and more recently, CAN (ISO15765/SAE J2480). Car manufacturers were not allowed to use CAN until model year 2003.

There are two types of diagnostic link connectors (DLCs) defined by SAE J1962 - Type A and Type B, shown below. The main difference between the two connectors is in the shape of the alignment tab.

Location - According to J1962, Type A DLC "shall be located in the passenger or driver's compartment in the area bounded by the driver's end of the instrument panel to 300 mm (~1 ft) beyond the vehicle centerline, attached to the instrument panel and easy to access from the driver's seat. The preferred location is between the steering column and the vehicle centerline."

J1962 Vehicle Connector
Type A

Type B DLC "shall be located in the passenger or driver's compartment in the area bounded by the driver's end of the instrument panel, including the outer side, and an imagined line 750 mm (~2.5 ft) beyond the vehicle centerline. It shall be attached to the instrument panel and easy to access from the driver's seat or from the Co-drivers seat or from the outside. The vehicle connector shall be mounted to facilitate mating and unmating."

J1962 Vehicle Connector
Type B

As a general rule, you can determine which protocol your vehicle is using by looking at the pinout of the DLC:

The following table explains how to determine the protocol:

Pin 2 | Pin 6 | Pin 7 | Pin 10 | Pin 14 | Pin 15 | Standard
must have | - | - | must have | - | - | J1850 PWM
must have | - | - | must have | - | - | J1850 PWM
- | - | must have | - | - | may have* | ISO9141/14230
- | must have | - | - | must have | - | ISO15765 (CAN)

In addition to pins 2, 7, 10, and 15, the connector should have pins 4 (Chassis Ground), 5 (Signal Ground), and 16 (Battery Positive). This means that:

PWM | The connector must have pins 2, 4, 5, 10, and 16.
VPW | The connector must have pins 2, 4, 5, and 16, but not 10.
ISO | The connector must have pins 4, 5, 7, and 16. Pin 15 may or may not be present.
CAN | The connector must have pins 4, 5, 6, 14, and 16.

On average, Ford uses PWM, General Motors uses VPW, and European and Asian vehicles use ISO. Chrysler has been using ISO also but is now moving over to VPW.

Copyright © 2002-2005 ScanTool.net, LLC. Reprinted with permission.


Getting Started

NOTE: Before you are able to connect to your vehicle, you must register your copy of PCMSCAN. To do this, go to the help menu and select License Manager. Click on Add License to enter in your license details.


Welcome to PCMSCAN

PCMSCAN is a user-friendly program designed to interpret diagnostic data from your car. PCMSCAN uses log files and configuration files.

A log file contains the diagnostic information and parameters sent from your car to your computer in the time which you record it.
A configuration file contains the preferences, vehicle information, and dashboards you customize. You can save or open configuration files to view and record your log files.

Below is a view of PCMSCAN in action. On the left side of the screen are icons that you can click to access the different views that are available:

On to Views


Views

Listed below are the views available through PCMSCAN. They can be found in the menubar under "View" or along the left side on the screen.

  • Connection Info. Clicking on this will display information on the connection between the vehicle and the computer. The Log Window shows the connection's history, which makes it the ideal place to look if you are experiencing difficulties. To clear the log window, you can select it in the Help menu on the menubar.

  • Vehicle Info. This is where you fill in any information you would like saved to your configuration file. Any information you insert here can also be saved to the log files you create. You can do this through preferences under the file menu.

  • Virtual Dashboard Views. Dashboards A, B, C, and D are fully customizable. On each dashboard, you can load gauges, graphs, maps, and tables. Their corresponding icons display their default views.
    • Dashboard A.This is the default view for gauges. See gauges for more information on this item.

    • Dashboard B.This is the default view for graphs. See graphs for more information on this item.

    • Dashboard C.This is the default view for tables and maps. See tables and maps for more information on these items.

    • Dashboard D.This is a work area for the user. Nothing comes preloaded for this view.

  • Data View. This view displays all parameters, and their values, from the current frame in the log file. The Parameter ID (PID) is a unique ID assigned to each parameter.

  • Trouble Codes. This view displays any Diagnostic Trouble Codes (DTC) your vehicle sends out. The DTC window shows the DTC, its description, its status, and the module it came from (the part of the car that is sending the signal).

    • Refresh Trouble Codes retrieves a new list of trouble codes from the vehicle.
    • Clear Trouble Codes clears all the trouble codes as well as any learned values.
    • Freeze Frame Data is not available in this version. It will be implemented in a future version, and available as a free download.
    • Filters allows you to choose which trouble codes you would like to view. Clicking this button will bring up a list of options you can check and uncheck to customize which trouble codes you are viewing.
    • Extra Info displays miscellaneous extra information regarding trouble codes.

  • PID Config. These parameters are loaded based on the VIN number. You can use the Validate PIDs button to see which of these parameters are supported by your vehicle.
    • If you see this to the left of the parameter ID (PID), the parameter is supported by your vehicle. Engine RPM, for example, should always have a [image] next to it, unless the parameters have not yet been validated.
    • This means that the parameter is not supported by the vehicle.
    • If you are not licensed to use this parameter, you will see this on the left of the PID.

    To customize the PID Config view, the buttons at the top switch the units between English and metric. This changes the units displayed for the data view only; the dashboard items are each configured individually. You can also specify the parameters you wish to view using the drop-down menus for category, type, and manufacturer.

On to Menubar


Menubar

The menubar contains the dropdown menus for the program. It is located above the toolbar. To access a menu, click on its title. The menu's options will be diplayed.

The following are descriptions of each menu and its options:

File Menu
View Menu
OBD-II Menu
Logging Menu
Help Menu
File Menu
New, Open, and Save Configurations- These perform the same functions as their shortcut buttons on the toolbar.

Preferences- Here you can set your personal preferences for logging and playback. There are three customizable tabs in this window:

If the "Privatize VIN" option on the logging tab is selected, the log file will not record the last 6 digits of your VIN. The "Save Vehicle Info" option and the "Save Owner Info option allow you to save this information you entered in the Vehicle Info view to your log file.

Logging Tab

Playback Tab
On the playback tab, you can select the "Loop Playback" option to set the log to continuous play. You can also set the "Pause Delay Time" on this tab. If you paused it as it was recording, it will skip over the pause time after the number of milliseconds you have it set to in your preferences.

OBD-II Tab
  • The Keep Alive interval is the time between keep alive requests sent on the ISP/KWP bus. If you don't send a keep alive request every so often, the bus will time out and you will see the message "Re-initializing vehicle communications". This value controls the Keep Alive interval, set in milliseconds.
  • The Destination Address is where you put in the address for your T16. For more information on T16 destination addresses, read about the "Detect T16" tool under the OBD-II menu.
  • The Response Timeout Option can be adjusted to increase productivity. After sending an OBD-II request, the ElmScan interface waits a preset time before sending the responses back to the computer. The ElmScan always waits this preset amount of time, even if it has already received a response, or if no response came. So by fine tuning this value, you can maximize your data rate by making sure that it doesn't wait any longer than it has to. For instance, if your vehicle's computer can send a response in 55 milliseconds, you'll want to set this value to wait 60 milliseconds because that is just enough time to get the response and not wait too long. If you set it too low, it will not have waited long enough and will not be able to communicate with your vehicle's computer.

View Menu
This menu allows you to select the view of the main window. This can also be done by clicking one of the views on the left side of the application. See views for more information on each view.

Also on this menu is a Dashboard submenu. From here you can add items to your current dashboard. This can also be done using the corresponding buttons on the toolbar.

OBD-II Menu
Just as you can connect and disconnect using the [image] and [image] buttons from the tool bar, you can also select these options from this menu. Also on the OBD-II menu is the tools submenu. The calculator on this menu is available for your convenience.

The "Detect T16" tool is used to find the right destination address if you are using a T16 interface. If you are using this interface and are unable to connect successfully the first time you try, make sure you have the correct destination address by using this tool. Each T16 has a factory-assigned destination address, which needs to be known in order to for PCMSCAN to communicate with it properly. This option will scan all of the possible destination addresses, trying to find the one that fits your interface. This process will take a few minutes.

Logging Menu
These menu options allow you to monitor, record, pause, play, stop, export, and view the properties of logs just as you would on the log panel at the bottom of your screen.
Help Menu
Clear Log Window- This Clears the Log Window in the Connection Info view.
View License Agreement- This shows the agreement which you agreed to before registering your copy of PCMSCAN.
PCMSCAN License Manager- Use this to enter your license key(s). You can add or remove licenses using this manager.
About- Like the About key on the shortcut toolbar, this displays the copyright information for PCMSCAN.

On to Toolbar


Toolbar

Listed below are the functions of the toolbar buttons:

  • New [image] Open and [image] Save Configuration. Use these buttons with the configuration of your vehicle. Everything outside of the log files is in the configuration file.
  • Add Gauge, [image] Add Graph, [image] Add Table, and [image] Add Map. These add gauges, graphs, tables, and maps to the current dashboard.
  • Connect and [image] Disconnect. Clicking on the Connect button will bring up a window asking for the connection information. The "COM port" refers to which port you have plugged the cable into on your computer. The "interface" is the type of cable you are using to connect your computer in your car. Click the Disconnect button to end your connection. For more information, see Connecting to the Vehicle.
  • About. This button takes you to the copyright information for PCMSCAN.

On to Connecting to the Vehicle


Connecting to the Vehicle

In order for PCMSCAN to function properly:

  • Your vehicle must be OBD-II compliant (1996 or newer if sold in the United States).
  • You must use the appropriate interface for your vehicle. On average, Ford uses PWM, General Motors uses VPW, and European and Asian vehicles use ISO. Chrysler has been using ISO also but is now moving over to VPW. For more information on these interfaces and which one to use for your vehicle, click here.
  • The ignition must be on.
  • The interface must be connected to your computer's serial port and to the vehicle's OBD-II port.

To connect to the vehicle, click [image] on the toolbar or select Connect under the OBD-II menu. The Connect window will pop up:

Here you can select the COM port you wish to use and the type of interface you are using. Note: If you are using a T16 interface, you must have the correct destination address. If the connection fails with your T16 interface, go to Detect T16 under the Tools submenu of the OBD-II menu. Click here for more details on the OBD-II menu features.

There is also an option to connect automatically at program startup. This can be turned on and off as you choose.

Once you have finished selecting your options, click OK. For VPW and PWM the vehicle should be connected in about 5 seconds. ISO can take up to 20 seconds. If the program cannot establish a connection, it will give you a fail message with a list of the following items to check:

  1. Confirm that the ignition key is in the "ON" position.
  2. Check the emissions label or vehicle service information to confirm that the vehicle is OBD equipped.
  3. Confirm that the external test equipment is connected to the vehicle correctly.

If you're working with a new configuration file and connecting for the first time, you will see this dialog box:

Before PCMSCAN will let you monitor or record a parameter, it needs to validate it. Validating the parameters checks with the vehicle to find which parameters are supported and flags those parameters as supported.

Select which mode you would like to use and click Validate. Normal mode is the quickest. It validates only the parameters the vehicle reports as supported. Some vehicles support parameters even though they don't report them as supported. Use Aggressive mode to validate these parameters.

If you would like to get back to this dialog box at another time, it is the Validate PIDs button found in the PID Config view.

When the vehicle is connected, the Connection Info view will display it under the Connection Information. Click here for more information on the Connection Info view.

You may disconnect the vehicle at any time without harming your vehicle, interface, or your computer. You can do this by either clicking [image] on the toolbar or selecting Disconnect under the OBD-II menu.

On to Monitoring and Logging Data


Monitoring and Logging Data

A log file contains the diagnostic information and parameters sent from your car to your computer in the time which you record it. A log file is not to be confused with a configuration file, which is the customizable setup for your dashboards, vehicle information, supported PIDs, and other information. For more information on configuration files, click here.

To record a log file, use the log file control panel running along the bottom of the application:

The first two buttons on the panel are the monitor and record buttons.

The monitor button [image] (far left button) is green when your computer is connected to your car and ready to be monitored. The keyboard command for monitor is F2. While monitoring, the log panel will look like this:

Monitoring does not record any of the data to a log file for later viewing, but it will allow you to view the data live as the car is running.

The record button [image] (second button in) is red when you are able to record a log file from your car. The keyboard command for record is F3. There is no limit on log file size, except for your computer's memory capabilities. While recording, the log panel will look like this:

Pause [image] pauses monitoring, recording, or playback at any time. Click pause again to resume. The keyboard command for pause is Ctrl + Spacebar.

Play [image] plays back the currently loaded log data.

Stop [image] stops the monitoring, recording, or playback of logged data. The keyboard command for stop is F4.

New [image], Open [image], and Save [image] Log File buttons are located on the log panel also, just to the right of the logging controls.

Export Log Data [image] allows you to export your log data to a comma separated values file, which can be viewed in Excel. Clicking this button will bring up this dialog box:

The first list includes the features you would like to include in your spreadsheet. The bottom list shows the parameters you would like included. The Select All and Clear All buttons below this list apply to this list only. They do not apply to both lists. Once you have checked the boxes to the left of each item you want included, click on Export and a save window will come up. Choose where you would like to save it and title it, then click OK.

Log File Properties [image] is the far right button on the log panel. This displays the information for this specific log file. If you entered information in the vehicle info display (see Vehicle Info under "Views") and have your preferences set to "Save Vehicle Info," you will be able to view it here. If you want to add any notes or comments to your log file, you can also do it through this dialog.

On to Dashboards


Dashboards

<div align="center">Layout</div>

CONFIGURING YOUR DASHBOARD | DASHBOARD ITEMS
Adding, Removing, and Resizing Items Saving and Loading Dashboards Tiling Items and Locking View Snap to Grid Settings | Gauges Graphs Tables Maps

To the left is an example of an item's Layout menu. The displayed layout menu is the Gauge Layout Menu. To access this menu, right-click on a gauge window.

Similar menus can be accessed for the graph, table, and map. In the graph menu, zoom in and zoom out can also be accessed from this menu. (See graphs for more details.)

To learn the functions of this menu, scroll down to read about them or click a specific function from the list above.

Adding, Removing, and Resizing Items

To add an item to your dashboard, use the buttons on the toolbar. To remove it, click on the "x" on the right corner of the item. A window will pop up, asking you to confirm if you would like to close the item. You can also remove an item by using the Layout menu. Select it and it will remove the item. To remove all items, right-click in the item window to bring up the layout menu and select Remove All.

The item can be sized by clicking and dragging its edges. To resize it to a square, select it in the Layout Menu.

Saving and Loading Dashboards

In the Layout menu, there is a "Layout" option. Holding your mouse over this option will open a submenu to the right: Load Layout and Save Layout.

If you would like to save your dashboard layout, select the Save Layout option. From here, it will prompt you to choose a name and where on your computer you would like to store it.

A saved dashboard can be recalled at any time with any configuration using the Load Layout option from the Layout menu. Much like the window that pops up when you select the Save Layout option, it will prompt you to select where your layout is located on your computer.

The default layout for dashboards uses Metric units. To change the default layout to English units, select the Load Layout option. In this window, navigate to your PCMSCAN installation folder. There will be a folder called "vdash." Double-click this folder to open it. Here you will find predefined dashboards. You can load one of these as an alternative layout.

You can also save and load dashboard items to use in future dashboards, or dashboards in the same configuration file, in their individual Settings windows. This can be accessed by clicking the square to the left of the closing x in the upper right-hand corner of the item. The buttons are located in the General tab at the bottom left corner of the window.

Tiling Items and Locking View

Once you have the number of items on your dashboard you wish to display, you can have them automatically tiled either horizontally or vertically by selecting it in the Layout menu.. Here are examples of both:

Tiled Horizontally:

Tiled Vertically:

Once you have your view how you would like it, you can lock it by selecting the Lock View option from the Layout menu. This locks the items in place. You can unlock it at anytime by going back to the Layout Menu and selecting it again. If there is a check mark next to the Lock View option, it means the view is locked. If there is no check mark, it means the view is unlocked and you are able to resize and move around the gauges freely.

Snap to Grid Settings

The last option on the Layout menu is "Snap Grid Settings."

The "Grid Off" option shown here has a check mark to the left of it, indicating that the snap to grid settings are off. To turn on the Snap to Grid settings, select a pixel size below the "Grid Off" option. When the settings are turned on, the "Grid Off" option will not have a check mark to the left of it. To turn the settings off again, select "Grid Off."

On to Gauges


Gauges

Gauges are fully customizable and can be used for a variety of parameters. To set up a gauge, you can either right-click on the gauge, bringing up the Gauge Layout Menu, and select settings, or you can click on this box:
This will bring up the Settings Window. The lower left-hand corner gives you the options to load or save your gauge settings. This will allow you to use the same gauge at a later time in another configuration or open up this gauge in the same configuration (on the same dashboard or a different dashboard) to duplicate it. You can also reset the gauge settings back to the default settings. To confirm or cancel these settings, your options are at the lower right-hand corner.
The settings tabs allow you to customize each gauge.

General Tab
Metrics Tab
Colorbands Tab
Needles Tab
Ticks Tab


Gauge Settings- General Tab

Below is a view of the "General" tab under Gauge Settings. This tab is divided into two parts: The Parameter section and the Gauge Options section.

In the Parameter section, you can select the parameter ID for the gauge you are configuring. The "Select PID" button allows you to browse the parameter ID's to select which one you would like the gauge to show. To find the parameter ID for a specific parameter, go to the PID Config view. This will show the parameters available for your vehicle and give you the PID on the left column.

Also in this section, you can select English or Metric for the units of the gauge.

On to the Metrics tab help


Gauge Settings- Metrics Tab

Below is the "Metrics" tab under Gauge Settings. This tab is divided into two parts: the Colors section and the Dial Metrics section.

The Colors section allows you to choose the background colors for the gauge and face and the outline color. You can also select the Outline Width by using the arrows to the right of its box or typing it into the box itself.

The Multiplier has a drop-down menu from which you can select. The default multiplier is x100 and shows up under the title of the gauge. The Multiplier shows the number of zeroes that are needed after the value shown to equal the value of the parameter. For example:

This gauge shows a value of 6.5 and a multiplier of x100. Therefore, the value of the gauge is 6.5x100 which equals 650, as this value is shown on the gauge.

The Dial Metrics section displays the options for the arc in degrees. In the gauge shown above, the arc starts at a 135 degree angle. The starting coordinates of the gauges begin on the right side and start at 0 degrees, going clockwise:

The arc sweep of this gauge is 270 out of 360 degrees, or 3/4 of a full circle. Therefore, if you wanted the gauge to display a full circle, you would enter the arc sweep as 360 degrees. An arc sweep of 180 degrees would display a half-circle. If you want the half-circle to lie horizontally, the arc start should be set to 90 degrees. Examples of gauges using various arc starts and arc sweeps:

Arc Start=180
Arc Sweep=90

The Arc starts at 180 degrees. The arc sweeps 90 degrees from its starting point.

Arc Start=180
Arc Sweep=180

The Arc starts at 180 degrees. The arc sweeps 180 degrees from its starting point.


Gauge Settings- Colorbands Tab

Below is the "Colorbands" tab under Gauge Settings. In this tab, you can customize the color bands that show on your gauge.

For each color band you wish to be displayed, the box to the left of the colorband must be checked. You can turn on and off your customized colorbands using this box.

The "From" and "To" boxes are for the values of where you want the gauge to begin and end. These are the actual gauge values (after the multiplier is figured in).

To select the color of the band, click on "Pick Color." Once the color is selected, click on OK. The color will show in the box next to the "Pick Color" button.

On to the Needles tab help


Gauge Settings- Needles Tab

Below is the "Needles" tab under Gauge Settings. This tab is divided into two parts: the Needles List section and the Needles Setting section. To show or hide the needle pivot, check or uncheck the box at the bottom of the needles list section.

To edit a needle, select it in the Needles List. Its settings will show up in the Needles Settings. To show or hide the needle, check or uncheck the box in he Needle Settings. Also in this section, you can choose the colors of the needle selected by clicking on the button to the right of each color, selecting the color desired, and then clicking OK.

You can also set the length and width of the needle by either using the arrows to the right of each box or typing in the length or width value from 0 to 100. The needle length value is the percentage of the length from the needle pivot to the edge of the gauge (the radius of the gauge). The needle width value is the width of 20% of the gauge diameter. A value of 100 in width is 20% of the diameter of the gauge.

On to the Text Areas help tab


Gauge Settings- Text Areas Tab

Below is a view of the "Text Areas" tab under Gauge Settings. This tab is divided into four parts: the Text Area List, Fonts and Colors, Formatting, and Boundaries sections.

Text Area List

On this list, select the text area you would like to change. When you select it on this list, it will highlight it in the preview window. To highlight all text areas, check the "highlight all" box below this list. This shows you where all the customizable text areas are. It does not allow you to select them all to customize them at the same time.

You can also make the selected area become visible or invisible by checking or unchecking the "Visible" box below the list. Tick Labels, however, do not have the option of changing their visibility.

Fonts and Colors

This section allows you to customize the font you are using for the selected text area. To change the font, click on the corresponding button. In this window, you can change the color, size, and style of the font. A sample box is shown to help you see what the font will look like before you click "OK" to change it.

To change the background color of the selected area, its corresponding button brings up a window from which you can select the color by using RGB values or clicking the desired color. Clicking "OK" changes the background color of the text area.

The Auto Size Font option will fit the font into the text area, regardless of its selected size. When this option is selected, the font will be as big as it can be to still fit everything into the text area.

The Transparent Background option gives you the choice to turn off the selected text area's background. For example, if you choose a red background for the text area, you can turn it on and off using this feature. Also, if the area's background gets in the way of the tick marks, color bands, or other features, you can turn off the background using this option.

Formatting

H. Justify and V. Justify allow you to horizontally and vertically align the text within the text area.

Min Digits is the minimum number of characters used when calculating auto font sizes. (If the auto font option is unchecked, this feature does not do anything to format the text.)

The Rotation Angle of the text can be changed using its corresponding arrows or by typing the degree value into the box. This allows you to tilt the text on the gauge.

Formatting strings allow you to customize the value being shown. There are three different value types for these text areas: %s, %f, and %d. The default value types cannot be changed. (i.e if the value type is %s, it cannot be modified to a %d type.)

  • The %s value type is used for text only. The Title and Units text areas use this type. To modify these areas using the formatting string, you can add letters or numbers before or after the title. For example:
    • if the parameter for your gauge were SAE.RPM, you could change it to "Engine RPM" using Engine %s
    • If your gauge parameter were SAE.VSS (Vehicle Speed Sensor) you could modify the string using %s (MPH) to display VSS (MPH)

  • The %f value type is used to display the precision of the value. The Tick Labels, Value, Max, Min, and Average use this type. This type allows you to customize the number of places after the decimal that will be displayed. In the default format for this string %.0f, the "0" in the string can be modified to change this. For example:
    • If your intake manifold absolute pressure were showing "6.8inHg" but you wanted to display a whole number only, you would highlight "Value" in the text area list and change the formatting string from %.1f to %.0f This would change the value displayed to "7inHG."
    • If your VSS were showing 61 as its value and you wanted to add 2 decimal places, you would change the value's format string from %.0f to %.2f. This would display the VSS as 61.25.

  • The %d value type is used for the multiplier only. The only changes you can make to this formatting string is adding text before or after the multiplier, just as you would do with the %s type. For example:
    • If your multiplier were 100 and you wanted to take the "x" from the front of your multiplier you would change the default string from "x%d"to "%d". This would change your view from "x100" to just"100."

Boundaries

Boundary Values represent the percentage of the screen.

The Left value represents where the text area starts horizontally, where the left side of the gauge is 0% and the right side of the gauge is 100%. The starting point of the gauge is the percentage of the length from the left side to the right. The minimum value text area, for example, starts at 0% for its left value in its default setting. Therefore, it starts at the left side of the gauge window. The higher the percentage, the closer to the right side it will start.

The Minimum Value Text Area is at its default setting with its Left Value of 0.

The Minimum Value Text Area's Left Value is set to 50.

The Minimum Value has a left value of 80.

The Top value represents where the text area starts vertically, where the top is 0% and the bottom of the window is 100%. By default setting, the minimum value text area has a Top value boundary of 0%. Therefore, it starts at the top of the window.

The Minimum Value Text Area is at its default setting with its Top Value of 0.

The Minimum Value Text Area's Top Value is set to 40.

The Minimum Value has a top value of 90.

The Width value represents the percentage of the screen the text area takes up horizontally. Here are some examples:

The Minimum Value Text Area has a width value of 20. It is 20% of the width of the window.

The Minimum Value Text Area's Width Value is set to 50. It is half the width of the window.

The Minimum Value has a width value of 100. It is the entire width of the window.

The Height value represents the percentage of the screen the text area takes up vertically. Here are some examples:

The Minimum Value Text Area has a height value of 8. It is 8% of the height of the window.

The Minimum Value Text Area's Height Value is set to 50. It is half the height of the window.

The Minimum Value has a height value of 100. It is the entire height of the window.

On to the Ticks tab help


Gauge Settings- Ticks Tab

Below is a view of the "Ticks" tab under Gauge Settings. This tab is divided into three parts: Large Ticks, Medium Ticks, and Small Ticks. Each Section contains setting options for the tick count, length, width, and color.

Tick Count represents the number of ticks, The large tick count is the total number of large ticks. The medium tick count is the number of medium ticks between every 2 large ticks. The small tick count is the number of small ticks between each medium tick.

Length and Width are the number of pixels per tick. This can be adjusted using its corresponding arrows or by typing the number of pixels in the box.

You can pick the color of the different sized tick marks. Large, medium, and small tick marks can each be differentiated with a different color.

Label offset is the percentage of distance from the center to the edge. If the label offset is set at 0, the tick labels are in the center. If it is set at 100, the labels are on the edge of the gauge.


Graphs

Graphs are helpful in playing back log files to compare parameters against each other. Below is an example of a graph:
Though the default dashboard for graphs is Dashboard B, graphs can be added to any dashboard.

Graphs are fully configurable through the Settings window. To access the settings window, either click on the box next to the close "x" on the graph you wish to customize or right-click to access the layout menu and click on settings.

In the settings menu, you can save your graph settings to use in other configurations (or make a duplicate in the same configuration) or load a saved graph. You can also reset your settings back to its default setting. Once you finish making changes on the settings window, click OK to apply them to your graph. You can also cancel any changes you have made with the settings window open by clicking Cancel.

Once the settings window is open, several tabs are lined along the top. To access one, click on the desired tab on the top. Each tab configures a separate part of the graph:


Graph Settings- General Tab

This is the General tab of the Graph Settings window. In this tab, you can customize the parameters you are viewing on your graph. Each graph can hold 8 parameters. You can also change the color, thickness and markers used for each parameter using this settings tab.

First, highlight a parameter you wish to customize from the parameter list at the left. To make it active, check the box to the right of the list. If this box is not checked, the parameter will not show. Then, select the PID from the list. You can change the calculations to English or metric by clicking the button below this list.

Next, you can change the line color, width, and style using the button, arrows, and drop down menu provided respectively.

On the right side of this window is the marker settings. The markers show plotted points along the graph. You can choose whether or not to make them visible by checking the "Show Marker" box at the top.

On to the Metrics tab help


Graph Settings- Metrics Tab

The Metrics tab has three customizable parts: Colors, Graph Area, and Metrics.

The Colors section gives you options on the graph's colors, including background, graph area, and graph outline. You can also adjust the width of the graph outline, which is the border around the graph's data.
The Graph Area can be positioned using the values in this section. The graph area is the part of the graph window where data is displayed. This area excludes tick marks, labels, and axes.

The first value in this section is Left, which is the number (in percent) from where the graph area starts horizontally, beginning from the left. If you wanted the graph to begin closer to the middle, you would make this number higher. It indicates where you want the graph to start, 0 being the left side and 100 being the right side of the screen.

The next value down , Top, indicates the vertical starting point for the graph. Thisis also calculated in percentage, where 0 is the top of the window and 100 is the bottom. If you set this number to 50, the graph would start halfway down the window. If you set it at 0, the graph would start at the top.

The Width refers to the percentage of the screen the graph area takes up lengthwise. If you set it to 100, the graph area will take up the entire bottom of the screen.

Height is the last value in this section. Like width, height refers to the percentage of the screen the graph area takes up, but it is vertical area instead of horizontal area. For the graph area to be as high as the window, set it to 100. For the graph area to take up half of the window, set it to 50.

The Metrics section can be used to adjust the zoom factor and highlighter. To change the zoom factor, type it into the box or use the arrow keys to the right. The zoom factor can also be adjusted by clicking the + and - on the title bar of the graph or by using the graph's layout menu.

The highlighter is the line that highlights the current frame. You can adjust the width of the highlighter or hide it from view in this area of the graph's settings.

On to the Grid Lines tab help


Graph Settings- Grid Lines Tab

The Grid Lines tab allows you to customize the lines inside the graph area.

To change the grid lines, highlight the grid lines you wish to alter (horizontal or vertical). The count refers to how many of that type of grid line will be shown in the graph area. You can also change the grid lines' colors, width, and style. The preview window allows you to view what you have chosen before you apply them.

On to the Text Areas tab help


Graph Settings- Text Areas Tab

Below is a view of the Text Areas tab under the graph settings. This tab is divided into four parts: the Text Area List, Fonts and Colors, Formatting, and Boundaries.

Text Area List

On this list, select the text area you would like to change. When you select it on this list, it will highlight it in the preview window. To highlight all text areas, check the "highlight all" box below this list. This shows you where all the customizable text areas are. It does not allow you to select them all to customize them at the same time.

You can also make the selected area become visible or invisible by checking or unchecking the "Visible" box below the list.

Fonts and Colors

This section allows you to customize the font you are using for the selected text area. To change the font, click on the corresponding button. In this window, you can change the color, size, and style of the font. A sample box is shown to help you see what the font will look like before you click "OK" to change it.

To change the background color of the selected area, its corresponding button brings up a window from which you can select the color by using RGB values or clicking the desired color. Clicking "OK" changes the background color of the text area.

The Auto Size Font option will fit the font into the text area, regardless of its selected size. When this option is selected, the font will be as big as it can be to still fit everything into the text area.

The Transparent Background option gives you the choice to turn off the selected text area's background. For example, if you choose a red background for the text area, you can turn it on and off using this feature. Also, if the area's background gets in the way of the tick marks, color bands, or other features, you can turn off the background using this option.

Formatting

H. Justify and V. Justify allow you to horizontally and vertically align the text within the text area.

Min Digits is the minimum number of characters used when calculating auto font sizes. (If the auto font option is unchecked, this feature does not do anything to format the text.)

The Rotation Angle of the text can be changed using its corresponding arrows or by typing the degree value into the box. This allows you to tilt the text on the graph.

Formatting strings allow you to customize the value being shown. There are three different value types for these text areas: %s, %f, and %d. The default value types cannot be changed. (i.e if the value type is %s, it cannot be modified to a %d type.)

  • The %s value type is used for text only. The Parameter Titles and Units text areas use this type. To modify these areas using the formatting string, you can add letters or numbers before or after the title. For example:
    • if the parameter for your graph were SAE.RPM, you could change it to "Engine RPM" using Engine %s
    • If your graph parameter were SAE.VSS (Vehicle Speed Sensor) you could modify the string using %s (MPH) to display VSS (MPH)

  • The %f value type is used to display the precision of the value. The X and Y axis tick labels and parameter values use this type. This type allows you to customize the number of places after the decimal that will be displayed. In the default format for this string, %.0f, the "0" in the string can be modified to change this. For example:
    • If your intake manifold absolute pressure were showing "6.8inHg" but you wanted to display a whole number only, you would highlight the parameter value in the text area list and change the formatting string from %.1f to %.0f This would change the value displayed to "7inHG."
    • If your VSS were showing 61 as its value and you wanted to add 2 decimal places, you would change the parameter value's format string from %.0f to %.2f. This would display the VSS as 61.25.

Boundaries

Boundary Values represent the percentage of the screen.

The Left value represents where the text area starts horizontally, where the left side of the gauge is 0% and the right side of the gauge is 100%. The starting point of the graph is the percentage of the length from the left side to the right.

The Top value represents where the text area starts vertically, where the top is 0% and the bottom of the window is 100%.

The Width value represents the percentage of the screen the text area takes up horizontally.

The Height value represents the percentage of the screen the text area takes up vertically.

To view examples on using boundaries for dashboard items, click here.

On to the Axis Info tab help


Graph Settings- Axis Info Tab

The Axis Info tab allows you to customize the axis of each parameter on the graph.

  • To modify the settings of an axis, highlight it on the Axis List. To activate this axis, be sure the Active box is checked.
  • Set the range of your parameter wtih the Range Minimum and Maximum values.
  • You can turn on and off the Auto Adjust Range option so that if you have data that lies outside your set maximum value, the graph will automatically adjust to fit it in. The Auto Adjust Increment adjusts the range in increments of the number you choose here.
  • The Position of the axis is set on a percentage line, where 0 is the left side of the screen and 100 is the right side of the screen. If you set this number to 50, the axis will start halfway through the window.
  • The Size is the axis width in percentage of the width of the graph.
  • You can also choose to turn on or off the axis baseline.
  • The tick settings on this tab allow you to control the number of the ticks on the axis, the length and width of the ticks, and the color.
  • The Label Distance controls the distance between the labels and the axis. It can be adjusted for the labels to go through the middle of the axis or to be on one side or the other of the tick marks. When set at 100 , the label will go through the middle of the axis baseline.
  • The option Keep Labels Inside Axis Area keeps the labels in the view so that the tick marks on the edge of the graph do not get cut off.
  • Changing the Direction of the graph using its drop-down menu will flip the graph.
  • Changing the Order switches the positions of the labels and the tick marks. If you prefer the labels to the right of the axis baseline, choose Tickmarks Before Labels. If you prefer the labels on the left, choose Labels Before Tickmarks.


Tables

Tables are a useful addition to your dashboard when you want to read the parameter values that are being displayed on your other dashboard items.

Like the other dashboard items, tables are fully customizable through the table settings. To access the settings, click on the box to the right of the "X" (close) box on the title bar.


Table Settings- General Tab

The General tab is where you can configure the parameters being used on your table. This tab consists of three parts: the parameter list, parameter control, and parameter info.

The parameter list holds the PIDs for your table. To modify a parameter, highlight it on the list.

The Parameter Control section allows you to change the order, add, and remove your parameters. To add a parameter, click the button and it will prompt you to select the parameter. The Filter section of this prompt helps you to search for the parameter you would like to display. If you are looking for a specific parameter, these filters will help you find it faster. When you use this filters, the drop-down list will display only those parameters that work in the filter. There is also an option to display only those parameters that work with your car. This can be checked or unchecked to help you find the parameter you are searching for.

You can change which PID a specific parameter is displaying by changing it in the Parameter Info section. Also in this section, you can switch the conversion between English and metric. To change the order of the parameters on your list, you can use the "Move Up" or Move Down" buttons. If you would like "Parameter 9" to be the first parameter displayed on your table, highlight the parameter on the list and click "Move Up" in the Parameter Control section. This will move the parameter up on the list. Continue clicking until the parameter is at the top, or is at the desired position on your list. The "Move Down" button controls the parameters this way also.

On to the Columns tab help


Table Settings- Columns Tab

The Columns tab allows you to select what you would like your table to show about each parameter.

To modify a column, highlight it from the Column List. To make the column visible, be sure the box is checked for "Show Column". If you do not wish the column displayed, uncheck this box. You can change the order of the columns by using the buttons "Move Up" or "Move Down," just as you would for the parameters in the General tab.

You can edit the formatting of each column by changing the width and alignment. The width can either be changed in pixels or percent of the length of the table. if you change it in percent, it will expand if you stretch the table. If you change it in pixels, it will be set to this length, even if you expand the table.


 <div align="center">Maps</div>

Maps

Maps are a three-dimensional way to display data. A map keeps a running total of the data it collects. Maps use three parameters and map points and values from your car. The column values shown indicate the starting range for the column, as do the row values shown. In the map shown below, the first column value is 0.4, and the next is 0.8. The multiplier for this PID is x1000, so the range for the first column is 400-799 RPM. The third column is 1.2, which means that its range starts at 1200 RPM. Hence, the range for the second column is 800-1119 RPM.

The green cell on the map below displaying 10.0 indicates that when the car's RPM (column PID) was 4400-4799 RPM (4.4 x multiplier) and the Manifold Pressure (row PID) was between 20-24 kPa, the spark advance (cell PID) was 10.0 degrees.

A map does not reflect it in a timeline (the information in the cells on the left did not necessarily come before the information in the cells on the right). It is only plotting data for three parameters. When monitoring or logging data, the cell selected is the last cell to receive data.

The colors used in each cell are set by the user. (See metrics tab for information on setting up the minimum, maximum, and average colors.) These are visual cues of what is going on with the car. If the user would like to watch out for when a parameter goes over a certain value, that value can be set as the maximum value in the metrics tab so the user can more easily notice it.

Access the settings for a map using the box indicated. Note: When you change something in the map settings and click OK, the map will clear. Replaying the log file will recreate your map data. The tabs across the top of the settings window are as follows:


Map Settings- General Tab

The General tab defines the parameters you will use for the map. Three parameters are used in a map: the cell parameter, the column, parameter, and the row parameter.

Highlight the parameter you would like to modify in the Parameter List. Click the button to select the PID for this parameter. It will bring you to a drop-down list. Below this list are filters to make it easier to find the PID you are looking for. Using these filters will help limit the lengthy parameter list. Once you have selected your desired parameter, click OK.

Also on this tab, you can switch the conversion between English and metric.

On to the Metrics tab help


Map Settings- Metrics Tab

The metrics tab controls the layout of the map.

The alignment options adjust the text inside the cells.

The Cursor Size controls the outline, in pixels, of the selected cell.

Setting the Minimum, Medium, and Maximum Values is only used to display its corresponding color. It does not limit any range for the values. The colors are set up on a gradiant to help you better visualize where the data points lie within your range. You can select the color for each to the right of each value. You can also select the colors for the background, grid text, and empty cells on this tab.

The Cell Value Format String is used to display the precision of the value in the cells. This allows you to customize the number of places after the decimal that will be displayed. The default format string is %1.1f, which means there is one place after the decimal. To change it to 2 places after the decimal, change the 1 after the decimal point so that it reads %1.2f.

Show Value Type gives the option of which value you would like displayed in the cell. Because there may be more than one value in a cell (the parameters may line up more than once during your log file), this will allow you to specify which value will ultimately be shown. It uses a drop-down menu. From it you can select one of the following:

  • Cell Count: This will display the number of values that are inside the cell. Because it is not showing the actual value, it will not display the color corresponding to its value (minimum, maximum, or medium value colors). All cells will be the empty cell color.
  • Last Value: This will display the most recent value in the cell. Every time the cell gets a new value, it will replace the value that was already in that cell.
  • Average Value: This averages the values in the cell together. For example, if the first value in the cell was 10.1 and the next value is 8.3, the value displayed will be 9.2.
  • Minimum Value: This will show the smallest value in the cell.
  • Maximum Value: This will show the largest value in the cell.

On to the Columns tab help


Map Settings- Columns Tab

The Columns tab helps you customize how you would like your columns displayed.

  • The Column Count is the number of columns in your map window.
  • The Column Size is the width of each column measured in pixels.
  • The Label Format String is used to display the precision of the value.
    • The %f string allows you to customize how many places after the decimal will be displayed. The default for this string is %1.1f, which means there is one place after the decimal. To change it to 2 places after the decimal, change the 1 after the decimal point so that it reads %1.2f.
    • Another string type you can use is %g. Unlike the %f string, this type does not accept precision values. It prints the value in as little places as possible, where as with %f you can designate exactly how many decimal places you would like to show.
  • You can also set up the minimum and maximum values of your column parameter, as well as its multiplier, in this tab. If a value lies outside of the range you set, it will not show up in the map.

On to the Rows tab help


Map Settings- Rows Tab

The Rows tab helps you customize how you would like your rows displayed.

  • The Row Count is the number of rows in your map window.
  • The Row Size is the width of each row measured in pixels.
  • The Label Format String is used to display the precision of the value. This allows you to customize the number of places after the decimal that will be displayed.
    • The default format string for rows is %g. Unlike the %1.1f string described below, this type does not accept precision values. It prints the value in as little places as possible, where as with %1.1f you can designate exactly how many decimal places you would like to show.
    • When the %.1f string is displayed as its default %1.1f, there is one place after the decimal. To change it to 2 places after the decimal, change the 1 after the decimal point so that it reads %1.2f.
    • Either of the above string types can be used for the row's format string.

  • You can also set up the minimum and maximum values of your row parameter, as well as its multiplier, in this tab. If a value lies outside of the range you set, it will not show up in the map.


Contact Information

Palmer Performance Engineering, LLC places a great emphasis on customer service and technical support. If you have any questions, comments, or would like more information, please contact us.

Visit our website:
www.palmerperformance.com

Sales:
sales@palmerperformance.com

Customer Support:
support@palmerperformance.com

User Forum:
PPE User Forum


PCMSCAN

Version 1.0

© Palmer Performance Engineering, LLC

Contents

  • Getting Started
    • Views, Toolbar, and Menubar
    • Connecting to the Vehicle
    • Monitoring and Logging Data
  • Gauges
    • Layout
    • Settings
  • Graphs
  • Registration
  • Release notes
  • StoryLines user interface
  • Getting started: a step-by-step guide
  • Using menubar commands
  • Using context menu commands
  • Using toolbar commands
  • Using dialogs
  • Using keyboard shortcuts
  • How To...
  • Reference
  • Glossary


Contents Previous Next Next

Getting Started

Welcome to PCMSCAN
Views
Toolbar
Menubar
Connecting to the Vehicle
Monitoring and Logging Data

Views:

Toolbar:

Listed below are the functions of the toolbar buttons:
  • New [image] Open and [image] Save Configuration. Use these buttons with the configuration of your vehicle. Everything outside of the log files is in the configuration file.
  • New [image] Open and [image] Save Log File. Use these buttons when you are dealing with log files. Click here for more information on log files.
  • Add Gauge and [image] Add Graph. These add gauges and graphs to your view. When clicked, this button will add the item and navigate to its respecting view.
  • Connect and [image] Disconnect. Clicking on the Connect button will bring up a window asking for the connection information. The "COM port" refers to which port you have plugged the cable into on your computer. The "interface" is the type of cable you are using to connect your computer in your car. Click the Disconnect button to end your connection.
  • About. This button takes you to the copyright information for PCMSCAN.

Menubar:

File Menu
New, Open, and Save Log Files or Configurations- These perform the same functions as their shortcut buttons on the toolbar.
Preferences- Here you can set your personal preferences for logging and playback. If the "Privatize VIN" option on the logging tab is selected, the log file will not record the last 6 digits of your VIN. On the playback tab, you can select the "Loop Playback" option to set the log to continuous play. You can also set the "Pause Delay Time" on this tab. If you paused it as it was recording, it will skip over the pause time after the number of milliseconds you have it set to in your preferences.

View Menu
This menu allows you to select the view of the main window. This can also be done by clicking one of the views on the left side of the application. See views for more information.

OBD-II Menu
Just as you can connect and disconnect using the [image] and [image] buttons from the tool bar, you can also select these options from this menu.

Logging
These menu options allow you to monitor, record, pause, play, stop, and view the properties of logs just as you would on the log panel at the bottom of your screen.

Help Menu
Clear Log Window- This Clears the Log Window in the Connection Info view.
PCMSCAN License Manager- Use this to enter your license key(s).
About- Like the About key on the shortcut toolbar, this displays the copyright information for PCMSCAN.
Connecting to the Vehicle

blah blah blah

Monitoring and Logging Data

A log file contains the diagnostic information and parameters sent from your car to your computer in the time which you record it. To record a log file, use the log file control panel running along the bottom of the application:

The first two buttons on the panel are the monitor and record buttons.

The monitor button (far left button) is green when monitoring. This will not record any of the data for later viewing, but it will allow you to view the data live as the car is running. The record button (second button in) is red when running [image] and will allow you to record your log file. There is no limit to length except for your computer's memory capabilities.

The far right button on the panel is the log file properties button. This displays the information for this specific log file. If you entered information in the vehicle info display (see Vehicle Info under "Views"), it will be the default for the log files you record from your car.

Back to Top


Gauges

Layout Settings
Back to Contents

Layout

blah blah blah

Settings

blah blah blah